@echo off
goto :main

rem ***************************************************************************
rem ** Project files
rem ***************************************************************************

:update_project_files

call :make image
call :make misc
call :make setup "TCTEMP Setup"
call :make tctemp

goto :eof

rem ***************************************************************************
rem ** Main
rem ***************************************************************************

:main
cls

if not exist premake.exe goto :no_premake

set HOME=%CD%

if /i "%~1" equ "/y" goto :update_project_files
set /P CONFIRM=Do you really want to re-create all project files (y/n)? 
if "%CONFIRM%" neq "y" goto :eof

goto :update_project_files

:make
set PRJ=%~2
if "%PRJ%" neq "" goto :make2
set PRJ=%~1
:make2
cd "..\src\%~1"

"%HOME%\premake" --target vs2005 --file "%PRJ%.lua"
if errorlevel 1 pause

cd %HOME%
goto :eof

:no_premake
echo.ERROR: Cannot find PREMAKE.EXE
echo.
echo.Please download PREMAKE V3.3 from http://premake.sourceforge.net,
echo.apply the source code patch "%CD%\premake-patch.diff",
echo.and copy PREMAKE.EXE to "%CD%"
echo.
pause
goto :eof
